package kr.co.swh.lecture.opensource.junit;

import junit.framework.TestCase;
import kr.co.swh.lecture.opensource.junit.JUnitCalculator;

/**
 * <pre>
 * kr.co.swh.lecture.opensource.junit
 * JUnitCalculatorTestCase.java
 *
 * 설명 :JUnit 예제
 * </pre>
 * 
 * @since : 2018. 1. 31.
 * @author : tobby48
 * @version : v1.0
 */
public class JUnitCalculatorTestCase extends TestCase {

	JUnitCalculator calculator = new JUnitCalculator();

//	assertArrayEquals(a,b) : 배열 a와b가 일치함을 확인 
//	assertEquals(a,b) : 객체 a와b의 값이 같은지 확인 
//	assertSame(a,b) : 객체 a와b가 같은 객체임을 확인 
//	assertTrue(a) : a가 참인지 확인 
//	assertNotNull(a) : a객체가 null이 아님을 확인

	public void testSum() {
		assertEquals(30, calculator.sum(10, 20));
	}

	public void testMul() {
		assertEquals(30, calculator.mul(10, 3));
	}

}
